Time tracking
Sign Off Timesheet Period
Employee signs their own timesheet period, recalculating compliance, recording signature evidence and notifying admins.
POSThttps://api.toku.com/hris/sign-off-timesheet-period
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/sign-off-timesheet-period' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"timesheetPeriodID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"signedByName": "string",
"note": "string"
}'200 response
{}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
timesheetPeriodIDstring<uuid>requiredsignedByNamestringrequiredAllowed: 2 to 200 characters
notestringAllowed: at most 1000 characters
Response
200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits